# svn export --revision 67 http://zengl.googlecode.com/svn/trunk/ libzengl-svn-r67
# tar cvjf libzengl-svn-r67.tar.bz2 libzengl-svn-r67

##### GENERAL STUFF #####
%define version    0.0.26
%define beta    svn
%define svn_rev    r67
%define release    %mkrel 0.%{beta}.1
%define realname  zengl
%define  libname    %mklibname %{realname}

Name:    libzengl
Summary:  A crossplatform 2D/3D engine
Version:  %{version}
Release:  %{release}
License:  GPL
URL:    http://code.google.com/p/zengl/
Group:    System/Libraries
Source0:  %{name}-%{beta}-%{svn_rev}.tar.bz2
BuildRequires:  fpc mesaglu-devel
Provides:  libZenGL
Requires:  libzengl-common
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot


##### DESCRIPTION libzengl #####
%description
libZenGL is a crossplatform 2D/3D engine.

Author: Kemka Andrey (Andru) <dr.andru@gmail.com>
Homepage: <http://andru.2x4.ru/zengl.html>


##### SUB-PACKAGE libzengl-common #####
%package common
Summary:  Non-library files for the "%{libname}" library
Group:    System/Libraries

##### DESCRIPTION libzengl-common #####
%description common
Common files for the "%{libname}" library



##### PREP #####
%prep
%setup -q -n %{name}-%{beta}-%{svn_rev}



##### BUILD #####
%build
cd src
%make



##### INSTALL #####
%install
rm -rf %{buildroot}

# "make install" doesn't work properly - copying files manually:
mkdir -p %{buildroot}%{_libdir}
install -m 644 src/libZenGL.so %{buildroot}%{_libdir}

# Don't really know if this is the right place for it:
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -R extra_pascal headers %{buildroot}%{_datadir}/%{name}

##### CLEAN #####
%clean
rm -rf %{buildroot}

##### POST & POSTUN  #####
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

##### FILES #####
%files common
%defattr(-,root,root)
%{_datadir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libZenGL.so

##### CHANGELOG #####
%changelog
* Mon Oct 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.0.26-0.r67svn.1.mud2009.0
- Rebuild for 2009.0

* Sun Sep 14 2008 Oliver Burger <rpm@mandrivauser.de> 0.0.26-0.r67svn.1mud2008.1
- rebuild for MUde

* Sun Sep 14 2008 MaxiPunkt <email@domain.de> 0.0.26-0svn1max
- First built for Mandriva
